Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.VmppArchiveTargetType

    java.lang.Object
      java.lang.Enum<Types.VmppArchiveTargetType>
          com.xensource.xenapi.Types.VmppArchiveTargetType

All Implemented Interfaces:
  Serializable, Comparable<Types.VmppArchiveTargetType>

Enclosing class:
  Types

    public static enum Types.VmppArchiveTargetType

extends Enum<Types.VmppArchiveTargetType>

Enum Constant Summary
`CIFS` CIFS target config
`NFS` NFS target config
`NONE` No target config
`UNRECOGNIZED` The value does not belong to this enumeration

Method Summary
`String` | `toString()`
`static Types.VmppArchiveTargetType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.VmppArchiveTargetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.VmppArchiveTargetType UNRECOGNIZED

  The value does not belong to this enumeration

### NONE

    public static final Types.VmppArchiveTargetType NONE

  No target config

### CIFS

    public static final Types.VmppArchiveTargetType CIFS

  CIFS target config

### NFS

    public static final Types.VmppArchiveTargetType NFS

  NFS target config

Method Detail

### values

    public static Types.VmppArchiveTargetType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.VmppArchiveTargetType c : Types.VmppArchiveTargetType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.VmppArchiveTargetType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.VmppArchiveTargetType>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD